## futuresql 0.1.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Jonah Brüchert <jbb@kaidan.im>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.19)

project(futuresql LANGUAGES CXX VERSION "0.1.0")

option(BUILD_EXAMPLES "Build examples" OFF)
option(BUILD_TESTING "Build tests" ON)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_INCLUDE_CURRENT_BINARY_DIR ON)

set(REQUIRED_QT_VERSION 5.15.2)

find_package(ECM 5.93.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(FeatureSummary)
include(CTest)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMSetupVersion)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Sql)

add_subdirectory(src)
if (BUILD_TESTING OR BUILD_EXAMPLES)
    find_package(QCoro${QT_MAJOR_VERSION} REQUIRED COMPONENTS Core)
    qcoro_enable_coroutines()
endif()

if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)
    add_subdirectory(tests)
endif()
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Jonah Brüchert <jbb@kaidan.im>
#
# SPDX-License-Identifier: BSD-2-Clause

include_directories(${CMAKE_BINARY_DIR}/src ${CMAKE_SOURCE_DIR}/src)

add_executable(hello-world hello-world.cpp)
add_executable(transaction transaction.cpp)

target_link_libraries(hello-world Qt::Core QCoro5::Core futuresql${QT_MAJOR_VERSION})
target_link_libraries(transaction Qt::Core QCoro5::Core futuresql${QT_MAJOR_VERSION})

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Jonah Brüchert <jbb@kaidan.im>
#
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_tests(sqlitetest.cpp LINK_LIBRARIES futuresql${QT_MAJOR_VERSION} QCoro${QT_MAJOR_VERSION}::Core Qt::Test)
include_directories(${CMAKE_SOURCE_DIR}/src/ ${CMAKE_BINARY_DIR}/src/)
target_compile_definitions(sqlitetest PRIVATE -DTEST_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

=== debian/changelog ===
futuresql (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * Small fixes to copyright:
    - fix "or" specifications
    - drop extra texts when pointing to common-licenses
    - wrap to 80 columns
  * Mark libfuturesql6-0 as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Tue, 11 Feb 2025 07:25:16 +0100

futuresql (0.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix the Vcs-* fields to point to the packaging repository, not the
    upstream one.
  * Add the configuration for the CI on salsa.
  * Remove the unused ${shlibs:Depends} substvar from libfuturesql6-dev.
  * Point the watch file to the Attic download location; better than none
    at all.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Re-export upstream signing key without extra signatures.
  * Add the libqt6sql6-sqlite test-only build dependency, needed to run the
    test suite.
  * Drop reproducible=-fixfilepath from $DEB_BUILD_MAINT_OPTIONS, as it does
    not seem to be needed.
  * Enable the execution of the unit tests at build time, as they seem to be
    working fine.
  * Add Rules-Requires-Root: no.
  * The version 0.1.0 previously uploaded is actually a Git snapshot of the
    upstream development branch and not the actual 0.1.0 tag; to ensure that
    the version 0.1.1 matches what was uploaded previously then:
    - pass -DQT_MAJOR_VERSION=6 to cmake
    - backport upstream commit 9a37f92f6bedd565f6e3349c31faa264e4b22d31 to
      print a warning if the migrations directory does not exist; patch
      upstream_Print-warning-if-the-migrations-directory-does-not-e.patch

 -- Pino Toscano <pino@debian.org>  Tue, 24 Dec 2024 10:46:12 +0100

futuresql (0.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Dec 2024 00:23:06 +0100

futuresql (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1077482)

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 29 Jul 2024 03:16:46 -0700

=== debian/control ===
Source: futuresql
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.1.0~),
               libqt6sql6-sqlite <!nocheck>,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qcoro-qt6-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/futuresql
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/futuresql
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/futuresql.git

Package: libfuturesql6-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: asynchronous Qt code library
 A non-blocking database framework for Qt.
 FutureSQL was in part inspired by Diesel, and provides a higher level of
 abstraction than QtSql.
 Its features include non-blocking database access by default, relatively
 boilderplate-free queries, automatic database migrations and simple mapping
 to objects.
 In order to make FutureSQL's use of templates less confusing, FutureSQL uses
 C++20 concepts, and requires a C++20 compiler.
 Warning: The API is not finalized yet.

Package: libfuturesql6-dev
Section: libdevel
Architecture: any
Depends: qt6-base-dev,
         libfuturesql6-0 (= ${binary:Version}),
         ${misc:Depends}
Description: asynchronous Qt code development
 A non-blocking database framework for Qt.
 FutureSQL was in part inspired by Diesel, and provides a higher level of
 abstraction than QtSql.
 Its features include non-blocking database access by default, relatively
 boilderplate-free queries, automatic database migrations and simple mapping
 to objects.
 In order to make FutureSQL's use of templates less confusing, FutureSQL uses
 C++20 concepts, and requires a C++20 compiler.
 Warning: The API is not finalized yet.
 .
 Development Files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DQT_MAJOR_VERSION=6

=== debian/watch ===
version=4
#opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/Attic/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
